Bug 889695 - [abrt] amarok-utils-2.6.0-4.fc17: _IO_ftell: Process /usr/bin/amarokcollectionscanner was killed by signal 11 (SIGSEGV)
Summary: [abrt] amarok-utils-2.6.0-4.fc17: _IO_ftell: Process /usr/bin/amarokcollectio...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: amarok
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:82b3fc87b53640847a06c9d8e23...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-22 17:28 UTC by Emmett Culley
Modified: 2013-08-01 09:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 09:34:42 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (1.43 KB, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: environ (1.86 KB, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: backtrace (22.30 KB, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: cgroup (129 bytes, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: smolt_data (3.19 KB, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: executable (32 bytes, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: maps (15.58 KB, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: dso_list (3.38 KB, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: proc_pid_status (991 bytes, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: open_fds (233 bytes, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details
File: var_log_messages (1.39 KB, text/plain)
2012-12-22 17:28 UTC, Emmett Culley
no flags Details

Description Emmett Culley 2012-12-22 17:28:21 UTC
Description of problem:
I moved my nmedai server and it's database to another machine and was attempting to re-establish amarok's connectin to the new database.  One issue is that the old database had invalid directory information because of the move.

Version-Release number of selected component:
amarok-utils-2.6.0-4.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/amarokcollectionscanner --idlepriority -r -c --sharedmemory 'AmarokScannerMemoryFri Dec 21 13:41:32 2012' --batch /home/emmett/.kde/share/apps/amarok/amarokcollectionscanner_batchscan.xml________
crash_function: _IO_ftell
kernel:         3.6.10-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 _IO_ftell at ioftell.c:40
: #1 TagLib::File::find at /usr/src/debug/taglib-1.8/taglib/toolkit/tfile.cpp:260
: #2 TagLib::Ogg::File::nextPage at /usr/src/debug/taglib-1.8/taglib/ogg/oggfile.cpp:232
: #3 TagLib::Ogg::File::packet at /usr/src/debug/taglib-1.8/taglib/ogg/oggfile.cpp:93
: #4 TagLib::Vorbis::File::read at /usr/src/debug/taglib-1.8/taglib/ogg/vorbis/vorbisfile.cpp:124
: #5 TagLib::Vorbis::File::File at /usr/src/debug/taglib-1.8/taglib/ogg/vorbis/vorbisfile.cpp:70
: #6 TagLib::FileRef::create at /usr/src/debug/taglib-1.8/taglib/fileref.cpp:238
: #7 TagLib::FileRef::FileRef at /usr/src/debug/taglib-1.8/taglib/fileref.cpp:85
: #8 Meta::Tag::getFileRef at /usr/src/debug/amarok-2.6.0/shared/MetaTagLib.cpp:111
: #9 Meta::Tag::readTags at /usr/src/debug/amarok-2.6.0/shared/MetaTagLib.cpp:220

Comment 1 Emmett Culley 2012-12-22 17:28:24 UTC
Created attachment 667731 [details]
File: core_backtrace

Comment 2 Emmett Culley 2012-12-22 17:28:26 UTC
Created attachment 667732 [details]
File: environ

Comment 3 Emmett Culley 2012-12-22 17:28:27 UTC
Created attachment 667733 [details]
File: limits

Comment 4 Emmett Culley 2012-12-22 17:28:29 UTC
Created attachment 667734 [details]
File: backtrace

Comment 5 Emmett Culley 2012-12-22 17:28:31 UTC
Created attachment 667735 [details]
File: cgroup

Comment 6 Emmett Culley 2012-12-22 17:28:32 UTC
Created attachment 667736 [details]
File: smolt_data

Comment 7 Emmett Culley 2012-12-22 17:28:33 UTC
Created attachment 667737 [details]
File: executable

Comment 8 Emmett Culley 2012-12-22 17:28:35 UTC
Created attachment 667738 [details]
File: maps

Comment 9 Emmett Culley 2012-12-22 17:28:36 UTC
Created attachment 667739 [details]
File: dso_list

Comment 10 Emmett Culley 2012-12-22 17:28:38 UTC
Created attachment 667740 [details]
File: proc_pid_status

Comment 11 Emmett Culley 2012-12-22 17:28:39 UTC
Created attachment 667741 [details]
File: open_fds

Comment 12 Emmett Culley 2012-12-22 17:28:41 UTC
Created attachment 667742 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2013-07-04 02:51:36 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2013-08-01 09:34:46 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.